Aktualizace z 3.1.8 na 3.2.6

Máte problémy s instalaci phpBB3 nebo s konverzi z phpBB2 na phpBB3? Zde naleznete pomoc.
Pravidla fóra
Čim více informací poskytnete ve vašem dotazu, tim vyšší je šance, že se vám dřív dostane přesné odpovědi. Uveďte odkaz na vaše fórum, používané rozšíření a styly a zkuste sepsat úpravy na fóru za poslední týdny. Nezapomeňte uvést výstižný titulek tématu.
Odpovědět
Medmen
Příspěvky: 4
Registrován: stř 29. úno 2012 14:02:24

Aktualizace z 3.1.8 na 3.2.6

Příspěvek od Medmen » stř 01. kvě 2019 20:56:41

Zdravím,
včera jsem se, po letech, pustil do aktualizace z verze 3.1.8 na 3.2.6.
Udělal jsem zálohu přes ftp v Total commanderu, kdy mi vypadlo spojení - po zběžné kontrole se zdálo vše ok.
Bohužel až zpětně jsem zjistil, že několik adresářů zálohy je zcela prázdných.

Po stažení akualizačního balíčku a postupu dle https://www.phpbb.com/support/docs/en/3 ... upgrade31/
jsem nahrál přes ftp na server a spustil instalaci.
Zaseknul jsem se na:
Aktualizace 2.JPG
Poté se v Administraci zobrazuje:
Aktualizace 3.JPG
a
Aktualizace 4.JPG
Kde po aktualizaci opět skáče že Instalátor detekoval časový limit ..

Fórum se zobrazuje, ale po odeslání příspěvku vyskakuje chyba:
Fatal error: Allowed memory size of 67108864 bytes exhausted (tried to allocate 72 bytes) in /home/users/medmen/dracakovci.funsite.cz/web/vendor/s9e/text-formatter/src/Configurator.php on line 2711

Jsem laik, peru se s tím už druhý večer, vyzkoušel jsem různé starší zálohy, vše končí chybami.

Hosting je Endora.cz
Fórum jsem před lety zřídil a spravuji je pro pár spolužáků, kde ne všichni jsou na sociálních sítích, proto bych ho chtěl zachovat ..
Měl jsem tam pár doplňků, ale na nich netrvám, jde mi o to aby bylo klidně čisté fórum, ale s původní připojenou databází uživatelů a příspěvků.

Vyzkoušel jsem vše co mě napadlo, i spoustu různých návodů z internetu, ale bohužel marně.

Byl by tu někdo ochoten pomoct, ideálně třeba přes Teamwiever?

Payn
Příspěvky: 39
Registrován: úte 03. bře 2015 19:09:42
Bydliště: Znojmo-Primetice
Kontaktovat uživatele:

Re: Aktualizace z 3.1.8 na 3.2.6

Příspěvek od Payn » stř 01. kvě 2019 22:05:29

Dobry vecer, v administraci hostingu si zvednete casovy limit pro zpracovani php scriptu, instalace (v zavislosti na konfiguraci serveru) muze zabrat i nekolik minut. Doporucuji zvednout na maximum.

Pripadne, pokud mate php 7.0+ takverze phpbb 3.2.6 neni plne kompatibilni s touto verzi php a tudiz muze dochazet k vypadkum.

Kdyby jste mel stale problem i po zvednuti casoveho limitu a mate php verzi vyse uvedenou, prejdete na php verzi 5.6 nebo 5.7 (max). Pokud by i tak stale problem pretrvaval, muzete me kontaktovat na emailu Payn@detektorgroup.cz a podivam se na to.

Veskerou podporu poskytuji, z casovych duvodu, pouze o vikendu.

P.S.: Hosting podpora by mela uchovavat zalohu i FTP po dobu 14 dni zpetne, zalohu by si meli delat oni sami automaticky. Dochazi k ni vetsinou v brzkych rannich hodinach.

Za chyby se omlouvam, pisi z mobilu

S pozdravem, Payn - Head Game Developer, hlavni vyvojar, admin OS a IRC.
Head Game Developer, hlavni vyvojar, admin OS IRC

Medmen
Příspěvky: 4
Registrován: stř 29. úno 2012 14:02:24

Re: Aktualizace z 3.1.8 na 3.2.6

Příspěvek od Medmen » stř 01. kvě 2019 23:29:19

Dobrý večer,
děkuji za reakci a tipy.

Obnovil jsem si zálohu ftp ze dne před aktulizací, a zatím ponechal uloženou (ve Free variantě zálohu negarantují, ale byla tam).
Dále časový limit pro zpracování PHP scriptu byl ve Free variantě pouze 10s. Po přechodu na variantu PLUS je to již 60s a to zřejmě pomohlo.
Změnil jsem i verzi PHP z 5.6 bez mysqlnp na 5.6.

Nyní již opět vše funguje.

Ještě jednou děkuji za reakci a ochotu pomoci!

Payn
Příspěvky: 39
Registrován: úte 03. bře 2015 19:09:42
Bydliště: Znojmo-Primetice
Kontaktovat uživatele:

Re: Aktualizace z 3.1.8 na 3.2.6

Příspěvek od Payn » stř 01. kvě 2019 23:44:37

Neni zac, pokud by jste jeste neco potreboval, nevahejte se na me obratit
Head Game Developer, hlavni vyvojar, admin OS IRC

x-rated
Příspěvky: 39
Registrován: pát 06. úno 2015 22:02:27
Bydliště: Praha
Kontaktovat uživatele:

Re: Aktualizace z 3.1.8 na 3.2.6

Příspěvek od x-rated » ned 05. kvě 2019 13:34:52

tohle je úplnej nesmysl
Payn píše:
stř 01. kvě 2019 22:05:29
pokud mate php 7.0+ takverze phpbb 3.2.6 neni plne kompatibilni s touto verzi php a tudiz muze dochazet k vypadkum.
phpbb 3.1.x -> php 7.1.x
phpbb 3.2.x -> php 7.2.x
naopak je celkem hazard používat tak historickou verzi php, jakou je verze 5.6.x, který dávno skončila podpora a nevycházej na ni ani bezpečnostní aktualizace, viz https://www.php.net/supported-versions.php :-/

Payn
Příspěvky: 39
Registrován: úte 03. bře 2015 19:09:42
Bydliště: Znojmo-Primetice
Kontaktovat uživatele:

Re: Aktualizace z 3.1.8 na 3.2.6

Příspěvek od Payn » ned 05. kvě 2019 14:04:08

x-rated píše:
ned 05. kvě 2019 13:34:52
tohle je úplnej nesmysl
Payn píše:
stř 01. kvě 2019 22:05:29
pokud mate php 7.0+ takverze phpbb 3.2.6 neni plne kompatibilni s touto verzi php a tudiz muze dochazet k vypadkum.
phpbb 3.1.x -> php 7.1.x
phpbb 3.2.x -> php 7.2.x
naopak je celkem hazard používat tak historickou verzi php, jakou je verze 5.6.x, který dávno skončila podpora a nevycházej na ni ani bezpečnostní aktualizace, viz https://www.php.net/supported-versions.php :-/
Hroznej problem si ty aktualizace udelat sam. Dokud nevyleze phpbb 3.3 je opravdu zbytecne byt na php 7.x+
Head Game Developer, hlavni vyvojar, admin OS IRC

Uživatelský avatar
Martin Böhm
Administrátor
Administrátor
Příspěvky: 12
Registrován: úte 01. bře 2016 21:55:21
Bydliště: Praha
Kontaktovat uživatele:

Re: Aktualizace z 3.1.8 na 3.2.6

Příspěvek od Martin Böhm » ned 05. kvě 2019 23:44:18

Doporučím si o php 7.x něco nastudovat. Nesmysl být na vyšší verzi php (nejlépe v současné době 7.3.x) samozřejmě není. Setrvání na verzi 5.6.x je v pořádku a není chybou (jde v podstatě o stále víceméně standardní verzi), nicméně z hlediska aktualizace zabezpečení a především rychlosti dnes vážně je vhodné využívat verze php vyšší. Nevidím důvod, proč by phpBB 3.2.x neměl vyšší verzi php podporovat.

Uživatelský avatar
Otakar Pěnkava
Administrátor
Administrátor
Příspěvky: 562
Registrován: sob 25. říj 2008 16:17:14
Kontaktovat uživatele:

Re: Aktualizace z 3.1.8 na 3.2.6

Příspěvek od Otakar Pěnkava » pon 06. kvě 2019 11:33:27

Teď o víkendu jsem aktualizoval jednomu klientovi fórum z 3.0.12 na 3.2.6, měl hosting s PHP 5.6, což považuji za ideální pro přechod z řady 3.0 na 3.1 a novější (phpBB 3.0 podporuje nanejvýš 5.6 a phpBB 3.1 a novější zase vyžadují min. PHP 5.4).

Co se týče verze PHP, tak řada phpBB 3.2 nepodporuje plně PHP 7.3, takže je rozumné zůstat na 7.2 (na kterém jede i toto fórum). Plná podpora PHP 7.3 přijde až s phpBB 3.3 a to nevím kdy bude. Což vzhledem k tomu, že údržba 3.2 by měla skončit v tomto měsíci a úplný konec podpory na konci roku, viz: https://www.phpbb.com/about/release/, takže phpBB 3.3 by mělo vyjít někdy v následujícím půl roce, ale zatím ani vidu ani slechu. Původně jsme už měli touto dobou řešit phpBB 3.4.
Starám se o projekt phpBB.cz od doby, kdy jsem jej zachránil před zaniknutím. Pomůžete mi a dostaneme jej zase nahoru?
Přes soukromé zprávy poskytuji pouze placenou podporu. Bezplatnou pomoc získáte na fóru, kde může pomoci i ostatním.

Payn
Příspěvky: 39
Registrován: úte 03. bře 2015 19:09:42
Bydliště: Znojmo-Primetice
Kontaktovat uživatele:

Re: Aktualizace z 3.1.8 na 3.2.6

Příspěvek od Payn » pon 06. kvě 2019 20:44:36

Projedu novou verzi jeste jednou a detailneji. Mam sve metody i nastroje a z techto vysledku vychazim. Samozrejme ze se tezko zjistuje zpusob zpracovani phpbb, tak je mozne ze mi par veci uniklo, konec koncu jsem hlavne herni dev a strojovy programator. Zamirim vice do hloubky.
Head Game Developer, hlavni vyvojar, admin OS IRC

Payn
Příspěvky: 39
Registrován: úte 03. bře 2015 19:09:42
Bydliště: Znojmo-Primetice
Kontaktovat uživatele:

Re: Aktualizace z 3.1.8 na 3.2.6

Příspěvek od Payn » pon 06. kvě 2019 20:47:45

Martin Böhm píše:
ned 05. kvě 2019 23:44:18
Doporučím si o php 7.x něco nastudovat. Nesmysl být na vyšší verzi php (nejlépe v současné době 7.3.x) samozřejmě není. Setrvání na verzi 5.6.x je v pořádku a není chybou (jde v podstatě o stále víceméně standardní verzi), nicméně z hlediska aktualizace zabezpečení a především rychlosti dnes vážně je vhodné využívat verze php vyšší. Nevidím důvod, proč by phpBB 3.2.x neměl vyšší verzi php podporovat.
Co se funkcnosti tyce, pri specificke konfiguraci serveru kdy se optimalizuji casti ktere OPRAVDU potrebujete, dokazete vytezit velmi krasnych vysledku pri zpracovani.
Head Game Developer, hlavni vyvojar, admin OS IRC

Odpovědět